/*
** Module   : SpawnerListener.java
** Abstract : define the Spawner listener contract.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20131119 First version.
*/

package com.goldencode.p2j.main;

/**
 * Spawner listener contract.
 * 
 * @author mag
 *
 */
public interface SpawnerListener
{
   /**
    * Notify when the remote embedded server is ready and listen.
    * 
    * @param   uri
    *          The server URI on which the remote server listen.
    */
   public void embeddedWebClientIsReady(String uri);   
   
   /**
    * Export server key store
    * 
    * @return  The loaded server key store.
    */
   public ServerKeyStore getServerKeyStore();   
}
